Subject: Re: [PATCH net-next v2 06/22] net: stmmac: rk: add SoC specific ->init() method

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 27 Jan 2026 01:55:29 +0000

On Mon, Jan 26, 2026 at 05:16:06PM -0800, Jakub Kicinski wrote:
> On Tue, 27 Jan 2026 00:59:05 +0000 Russell King (Oracle) wrote:
> > > > and there's no way to find out for about 9 hours (more like 19 hours
> > > > for me because of the timezone) as the AI reviews are not accessible
> > > > until then.  
> > > 
> > > The patchwork checks are for maintainers. If someone wants to build
> > > a public CI for contributors that'd be great. We can even provide
> > > funds from the netdev foundation. But let us be clear that the current
> > > setup is until now maintained primarily by me for me on the weekends.
> > > Unless you make an effort to actually help I don't think it is in good
> > > taste to complain.  
> > 
> > This sounds like my contributions to netdev aren't valued, and if that's
> > the case, I will stop.
> 
> Quite the opposite, what I'm saying is that your complaints make me
> feel like the weekends spent on trying to make this project come out 
> of stone age testing-wise are not appreciated. Of course your
> contributions are appreciated.
> 
> The AI code reviews on existing buggy code are indeed very painful.
> Not sure what we can do here to make the contributing easier.
> It costs us around $2 now to review a single patch so we can't afford
> public access. I think Google is working on making Gemini code reviews
> public and free, hopefully that materializes.

For a series of this size and complexity, the AI reviews are valued
because it's finding real issues that I can't test for.

The big problem is that the AI only finds one issue with a patch, not
all the issues. So, it's going to take multiple submissions to get to
a point where the AI review of this series is clean.

I suspect the problem with "AI only finds one issue" is that the AI
systems aren't advanced enough to do anything else yet.

So, do I continue fixing the AI issues each day and resubmitting a new
version of this series each day this week, costing $44 each time? Do
we reach a point where it gets merged even though the AI review still
has issues?

These are honest questions... and if they haven't been considered, I
think they need to be, because I can see this series becoming very
expensive.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!